#!/sbin/runscript
# Copyright (c) 2007-2008 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.

description="Update /etc/mtab to match what the kernel knows about"

depend()
{
	need root
	keyword -prefix
}

start()
{
	if [ -L /etc/mtab ]
	then
		einfo "Skipping mtab update (mtab is a symbolic link)"
		return 0
	fi

	ebegin "Updating /etc/mtab"
	if ! echo 2>/dev/null >/etc/mtab; then
		ewend 1 "/etc/mtab is not updateable"
		return 0
	fi

	# With / as tmpfs we cannot umount -at tmpfs in localmount as that
	# makes / readonly and dismounts all tmpfs even if in use which is
	# not good. Luckily, umount uses /etc/mtab instead of /proc/mounts
	# which allows this hack to work.
	grep -v "^[! ]* / tmpfs " /proc/mounts > /etc/mtab

	# Remove stale backups
	rm -f /etc/mtab~ /etc/mtab~~
	eend 0
}
