#!/sbin/runscript
# Copyright (c) 2007-2009 Roy Marples <roy@marples.name>
# Released under the 2-clause BSD license.

description="Turns numlock on for the consoles."

ttyn=${rc_tty_number:-${RC_TTY_NUMBER:-12}}

depend()
{
	need localmount
	keyword -openvz -prefix -vserver -lxc
}

_setleds()
{
	[ -z "$1" ] && return 1

	local dev=/dev/tty t= i=1 retval=0
	[ -d /dev/vc ] && dev=/dev/vc/

	while [ $i -le $ttyn ]; do
		setleds -D "$1"num < $dev$i || retval=1
		: $(( i += 1 ))
	done

	return $retval
}

start()
{
	ebegin "Enabling numlock on ttys"
	_setleds +
	eend $? "Failed to enable numlock"
}

stop()
{
	ebegin "Disabling numlock on ttys"
	_setleds -
	eend $? "Failed to disable numlock"
}
