#!/sbin/runscript
# Copyright (c) 2013 William Hubbs <w.d.hubbs@gmail.com>
# Released under the 2-clause BSD license.

description="Configures the loopback interface."

depend()
{
	keyword -jail -prefix -vserver
}

start()
{
	if [ "$RC_UNAME" = Linux ]; then
		ebegin "Bringing up network interface lo"
		if type ip > /dev/null 2>&1; then
			ip addr add 127.0.0.1/8 dev lo brd + scope host
			ip route add 127.0.0.0/8 dev lo scope host
			ip link set lo up
		else
			ifconfig lo 127.0.0.1 netmask 255.0.0.0
			route add -net 127.0.0.0 netmask 255.0.0.0 gw 127.0.0.1
		fi
	else
		ebegin "Bringing up network interface lo0"
		ifconfig lo0 127.0.0.1 netmask 255.0.0.0
		route -q add -inet 127.0.0.0 -netmask 255.0.0.0 127.0.0.1
	fi
	eend $?
}

stop()
{
	return 0
}
